In a move presumably designed to protect customers from potential online threats, Apple recently changed access requirements of its online store to restrict compatibility to more current versions of macOS and Safari.

Read the rest of this post here

LEAVE A REPLY

Please enter your comment!
Please enter your name here